package com.zcloud.mapper.datasource.hiddenApi;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患 相关人员信息
 * 作者：luoxiaobao
 * 时间：2022-04-22
 * 官网：www.zcloudchina.com
 */
public interface HiddenUserApiMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);
	List<PageData> listAllUser(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	Integer deleteByHidden(String hiddenId);

	List<PageData> getListByHidden(String hiddenId);

	/**
	 * 根据隐患ids 和状态获取隐患发现人数据
	 * @param pd
	 * @return
	 */
	List<PageData> getListByHiddenIds(PageData pd);
}

